package saccubus.worker.profile;

/**
 * プロキシ設定を保持するためのプロファイルです.
 * @author yuki
 */
public interface ProxyProfile {

    /**
     * @return プロキシを使用してインターネット接続(ニコニコ動画サービスへの接続)を
     * 行うのであればtrue. 直接接続するのであればfalse.
     */
    boolean use();

    /**
     * @return プロキシサーバホスト名.
     */
    String getHost();

    /**
     * @return プロキシサーバポート番号.
     */
    int getPort();
}
